package com.duben.microtribe.mvp.views

import com.duben.microtribe.mvp.model.IndexList
import com.duben.microtribe.mvp.model.NineShowBean
import com.duben.microtribe.mvp.model.VipBean


interface VideoView : BaseView {
    fun getIndexListSuc(indexList: IndexList)
    fun getIndexListFail()

    fun collectSuc()
    fun collectFail()

    fun cancelCollectSuc()
    fun cancelCollectFail()

    fun unlockSuc(indexList: IndexList)
    fun unlockFail()

    fun showTurnSuc(data: NineShowBean)

    fun getVipProductSuc(data: VipBean)

}